#!/usr/bin/perl -w
#
# MailParserTest.pl
#
# A test script for MailParser.pm.
#
# author:  Max-Gerd Retzlaff <m.retzlaff@gmx.net>
# date:    Date: 2002/01/25 01:30:00 CET
# version: Revision: pre-alpha-nearly-untested-release 0.01
#
# This application is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version. 
#
# This application is distributed in the hope that it will be useful, 
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111 USA.  

use MailParser;

my $mailtext = <<'END_OF_TEXT';
From newbie@nowhere.su Thu Jan 10 20:50:34 2002
From: Newbie Luser <newbie@nowhere.su>
To: Foo Bar <foo@bar.baz>
Subject: COMMON: stupid test mail
Date: Thu, 10 Jan 2002 20:50:34 +0100
Content-Type: text/plain; charset=iso-8859-1

Hello,

How are you? So long,

Newbie
END_OF_TEXT

chomp $mailtext;

sub myprint {
    my ($title, $text) = @_;
    
    print "".("-" x 20)."\n$title:\n".("-" x 20)."\n$text\n";
}

#MailParser->ForbidSimpleMail();

#my $mail = SimpleMail->new($mailtext);
my $mail = MailParser->autodetectingnew($mailtext);

myprint( "header", $mail->get_header() );
myprint( "body", $mail->get_content() );
myprint( "object", $mail );
myprint( "Subject", $mail->get_header_field( 'Subject' ) );


